ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
jstree_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| compile_tree_control_buttons (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $PageJS = false
| $String = false

## Detailed Description

Class loads jquery library.

Author
  Dodonov A.A.

Definition at line 26 of file jstree.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 56 of file jstree.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_tree_control_buttons | ( | & | $Settings | ) |

Function compiles macro 'tree_control_buttons'.

Parameters

  $Settings | - Options.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 132 of file jstree.php.

{
try
{
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'tree_control_buttons.tpl' );
$Selector = $Settings->get_setting( 'tree_control_selector' , '.tree_control' );
$Code = str_replace( '{tree_control_selector}' , $Selector , $Code );
$DirectCategory = $Settings->get_setting( 'direct_category' , '14' );
$Code = str_replace( '{direct_category}' , $DirectCategory , $Code );
$Code = $this->String->print_record( $Code , $Settings );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file jstree.php.

{
try
{
$Path = _get_package_relative_path_ex( 'gui::jstree' , get_package_version_s( __CLASS__ ) );
$Path = "{http_host}/$Path/include/js";
$this->PageJS->add_javascript( "$Path/jquery.jstree.js" );
$this->PageJS->add_javascript( "$Path/jquery.jstree.buttons.js" );
$this->PageJS->add_javascript( "$Path/jquery.jstree.autorun.default.js" );
$this->PageJS->add_javascript( "$Path/jquery.jstree.extractor.js" );
$this->PageJS->add_javascript( "$Path/jquery.jstree.autorun.default.js" );
$Lang = get_package( 'lang' , 'last' , __FILE__ );
$Lang->include_strings_js( 'gui::jstree' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file jstree.php.

$PageJS = false

Definition at line 39 of file jstree.php.

$String = false

Definition at line 40 of file jstree.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/jstree/jstree.php